WWW::Topica(3pm)

NAME
WWW::Topica - read emails from a Topica mailing list

SYNOPSIS
    my $topica = WWW::Topica->new( list => 'mylist', login => 'mylogin', password => 'mypass' );

    while (my $mail = $topica->mail) {
        Email::LocalDelivery->deliver($mail, 'mylist.mbox');
    }

DESCRIPTION
This module screen scrapes the Topica website and fetches back RFC822 text representations of all the mails posted to a given list. Where possible it fills in the from, to and date fields. It should be noted that in some cases it's impossible to get both the sender name and their email address.

METHODS

  new
Takes three options, the list name, your login account and your password;

You can also pass in "local" and "debug". "debug" will print out various debugging messages whereas "local" will use local files for testing. "local" automatically sets "debug" to 1 unless debug is explicitly set to 0.

Furthermore if you pass in a "first" option the parsing will start from that offset. A "last" lets you set an upper bound.

  mail
Returns a mail at a time

Logs in automatically.

  login
Logs in to Topica and stashes the cookie.

Called automatically by the first call to "mail".

Builds the loader automatically.

  fetch_index <offset>
Retrieve the html of the index page with the given offset.

  fetch_mail <id>
Retrieve the html of a the message page with the given id.

  fetch_reply <id> <eto>
Retrieve the html of a the reply page with the given id and eto.

  build_rfc822 <WWW::Topic::Mail> <WWW::Topica::Reply>
Given a "WWW::Topic::Mail" object and a "WWW::Topica::Reply" object build up the text of an RFC822 compliant email.

  build_loader
Set up the LWP::UserAgent object used to fetch pages.

  fetch_page <url>
Utility function for getting a page with various niceties.

AUTHOR
Simon Wistow <simon@thegestalt.org>

COPYRIGHT
Copyright (c) 2004, Simon Wistow